org.apache.fop.complexscripts.scripts

## Class IndicScriptProcessor.Syllabizer

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.IndicScriptProcessor.Syllabizer

All Implemented Interfaces:
  Comparable

Direct Known Subclasses:
  IndicScriptProcessor.DefaultSyllabizer

Enclosing class:
  IndicScriptProcessor

    protected abstract static class IndicScriptProcessor.Syllabizer
    extends Object
    implements Comparable

Abstract syllabizer.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`